Groovy Documentation

## org.codehaus.groovy.runtime.m12n
[Java] Class ExtensionModule

    java.lang.Object
      org.codehaus.groovy.runtime.m12n.ExtensionModule

    public abstract class ExtensionModule
    extends java.lang.Object

An extension module is a class responsible for providing a list of meta methods to the Groovy compiler and runtime. Those methods are use to "dynamically extend" exisiting classes by adding methods to existing classes.

Authors:
  Cedric Champeau

Since:
  2.0.0

Constructor Summary
`ExtensionModule(java.lang.String moduleName, java.lang.String moduleVersion)`

Method Summary
`java.util.List` | `getMetaMethods()`
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ExtensionModule

    public ExtensionModule(java.lang.String moduleName, java.lang.String moduleVersion)

Method Detail

### getMetaMethods

    public java.util.List getMetaMethods()

### getName

    public java.lang.String getName()

### getVersion

    public java.lang.String getVersion()

Groovy Documentation